## ros-indigo-cob-teleop 0.6.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(cob_teleop)

find_package(catkin REQUIRED COMPONENTS actionlib cob_light cob_script_server cob_sound geometry_msgs roscpp sensor_msgs std_msgs std_srvs)

catkin_package()

### Build ###
include_directories(${catkin_INCLUDE_DIRS})

add_executable(cob_teleop_keyboard ros/src/cob_teleop_keyboard.cpp)
add_dependencies(cob_teleop_keyboard ${catkin_EXPORTED_TARGETS})
target_link_libraries(cob_teleop_keyboard ${catkin_LIBRARIES})

add_executable(keyboard_publisher ros/src/keyboard_publisher.cpp)
add_dependencies(keyboard_publisher ${catkin_EXPORTED_TARGETS})
target_link_libraries(keyboard_publisher ${catkin_LIBRARIES})

add_executable(cob_teleop ros/src/cob_teleop.cpp)
add_dependencies(cob_teleop ${catkin_EXPORTED_TARGETS})
target_link_libraries(cob_teleop ${catkin_LIBRARIES})

### Install ###
install(TARGETS cob_teleop_keyboard keyboard_publisher cob_teleop
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY ros/launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-cob-teleop (0.6.9-0trusty) trusty; urgency=high

  * update maintainer
  * Contributors: ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-indigo-cob-teleop (0.6.8-0trusty) trusty; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-indigo-cob-teleop (0.6.7-0trusty) trusty; urgency=high

  * Merge remote-tracking branch 'origin/indigo_release_candidate' into indigo_dev
  * Merge pull request #202 <https://github.com/ipa320/cob_command_tools/issues/202> from ipa-fxm/update_maintainer
    update maintainer
  * update maintainer
  * Merge pull request #197 <https://github.com/ipa320/cob_command_tools/issues/197> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, Richard Bormann, ipa-fxm, ipa-uhr-mk

 -- Felix Messmer <fxm@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-indigo-cob-teleop (0.6.6-0trusty) trusty; urgency=high

  * manually fix changelog
  * Contributors: ipa-fxm

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Sun, 16 Jul 2017 22:00:00 -0000

ros-indigo-cob-teleop (0.6.5-0trusty) trusty; urgency=high

  * add safe mode for teleop
  * Contributors: Florian Weisshardt, ipa-fmw, ipa-nhg

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-indigo-cob-teleop (0.6.4-0trusty) trusty; urgency=high

  * reduce terminal output
  * changes for new message structure and concurrent mode
  * compile fixes because of changes in cob_light
  * swap say-setLight execution order2
  * introduce enable params, styling, consistency, beautifying
  * add catkin include dirs
  * adapt twist_mux topic names according to https://github.com/ipa320/orga/pull/1#issuecomment-159195427
  * added apply_ramp parameter to switch velocity smoothing on teleop side on and off (if velocity_smoother is active teleop do not need to smooth)
  * changed keyboard default topic to twist_mux input
  * Merge branch 'fix_teleop' of https://github.com/ipa-fmw/cob_command_tools into fix_teleop
  * announce 'go' after init all
  * tabs vs. spaces
  * replace string before passing to say
  * change speach output
  * enable speach for default position mode
  * cob_teleop: disable light, encapsulate say and use deadman button to enable mode switch
  * Fix typo
  * added tag exported targets
  * deleted config folder
  * change frequencies
  * removed configuration files
  * use light action server
  * first robot test
  * global ns for actions
  * cob_teleop review
  * updated package.axml and CMakeLists
  * fisrt testable version
  * adapt the node for other robots
  * beautify
  * update
  * update
  * new node
  * Contributors: Benjamin Maidel, Florian Weisshardt, Marco Bezzon, ipa-fmw, ipa-fxm, ipa-nhg

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-indigo-cob-teleop (0.6.3-0trusty) trusty; urgency=high

  * boost revision
  * do not install headers in executable-only packages
  * explicit dependency for boost
  * more cleanup
  * remove obsolete autogenerated mainpage.dox files
  * remove FILES_MATCHING
  * remove trailing whitespaces
  * migrate to package format 2
  * sort dependencies
  * Contributors: ipa-fxm

 -- Florian Weisshardt, Maximilian Sieber <fmw@ipa.fhg.de>  Mon, 24 Aug 2015 22:00:00 -0000

ros-indigo-cob-teleop (0.6.2-0trusty) trusty; urgency=high

  * replace brics_actuator
  * use new Trigger from std_srvs
  * Update README-PS3.md
  * Update README-PS3.md
  * Update README-PS3.md
  * Update README-PS3.md
  * catkin_lint
  * use correct default namespace
  * Instruction for PS3 Joystick with Bluetooth
  * changed hardcoded namespace
  * improved ROS_DEBUG output
  * improved ROS output
  * improved homing/recover srv-calls: now checking success of pltf-init/recovering instead of just checking srv call response
  * Contributors: Nadia Hammoudeh García, Thorsten Kannacher, fmw-ms, ipa-fxm

 -- Florian Weisshardt, Maximilian Sieber <fmw@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-indigo-cob-teleop (0.6.1-0trusty) trusty; urgency=high

  * merge
  * adapt teleop_v2 to the new controllers structure
  * add gencpp dependency
  * rename teleop to teleop_v1
  * change maintainer
  * rename finished
  * rename files from cob4 to v2
  * Contributors: Florian Weisshardt, ipa-nhg

 -- Florian Weisshardt, Maximilian Sieber <fmw@ipa.fhg.de>  Sun, 14 Dec 2014 23:00:00 -0000

ros-indigo-cob-teleop (0.6.0-0trusty) trusty; urgency=high

  * fix cppcheck warnings
  * Contributors: Florian Weisshardt

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Wed, 17 Sep 2014 22:00:00 -0000

ros-indigo-cob-teleop (0.5.2-0trusty) trusty; urgency=high

  * restore original cob_teleop
  * moved folder
  * base works, attemp arm
  * Contributors: ipa-fmw-ms, ipa-fxm

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Wed, 27 Aug 2014 22:00:00 -0000

ros-indigo-cob-teleop (0.5.1-0trusty) trusty; urgency=high

  * fixed cob_teleop_keyboard
  * fix teleop for 3DOF torso
  * changes for hydro deps
  * Fixed CMakefiles for teleop stuff.
  * merged catkin version
  * Initial catkinization.
  * critial bugfix (buffer overflow)
  * fixed wrong debug message
  * use 100Hz for teleop
  * no waiting for parameters
  * fuerte migration, joy msg moved
  * adapt roslaunch tests
  * fix safety
  * teleop with safe base movements
  * add dependency to joy
  * removed deprecated dependency
  * new file teleop_keyboard.launch
  * fix robot modules
  * removed launch files
  * removed launch and configuration files
  * remove compiler warnings
  * use joy.launch in teleop
  * removed compiler warnings
  * added cob3-4 configs
  * removed compiler warninigs
  * config files for cob3-bosch
  * added ENV variables to tests
  * electric update for teleop
  * cleanup arm and dashboard configs
  * add stop and recover/init button to teleop
  * config for cob3-3
  * Merge branch 'master' of github.com:ipa-fmw/cob_apps
  * added license header


=== debian/control ===
Source: ros-indigo-cob-teleop
Section: misc
Priority: extra
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-catkin, ros-indigo-cob-light, ros-indigo-cob-script-server, ros-indigo-cob-sound, ros-indigo-geometry-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-std-srvs
Homepage: http://www.ros.org/wiki/cob_teleop
Standards-Version: 3.9.2

Package: ros-indigo-cob-teleop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-cob-light, ros-indigo-cob-script-server, ros-indigo-cob-sound, ros-indigo-geometry-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-std-srvs
Description: Teleop node

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-cob-teleop//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
